<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>EDMA_instanceInfo_t_ Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">EDMA_instanceInfo_t_ Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>EDMA instance properties information.  
 <a href="struct_e_d_m_a__instance_info__t__.html#details">More...</a></p>

<p><code>#include &lt;drivers/edma/edma.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a3af5a0011671fb0355a60ec38938d9a3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3af5a0011671fb0355a60ec38938d9a3"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__instance_info__t__.html#a3af5a0011671fb0355a60ec38938d9a3">numEventQueues</a></td></tr>
<tr class="memdesc:a3af5a0011671fb0355a60ec38938d9a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of event queues, same as number of transfer controllers. <br /></td></tr>
<tr class="separator:a3af5a0011671fb0355a60ec38938d9a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dfe9e8aae7137e3dfff19f809fff17f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3dfe9e8aae7137e3dfff19f809fff17f"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__instance_info__t__.html#a3dfe9e8aae7137e3dfff19f809fff17f">numParamSets</a></td></tr>
<tr class="memdesc:a3dfe9e8aae7137e3dfff19f809fff17f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of PaRAM sets. <br /></td></tr>
<tr class="separator:a3dfe9e8aae7137e3dfff19f809fff17f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f2ab2e474195b53c2551033455f086d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0f2ab2e474195b53c2551033455f086d"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_e_d_m_a__instance_info__t__.html#a0f2ab2e474195b53c2551033455f086d">isChannelMapExist</a></td></tr>
<tr class="memdesc:a0f2ab2e474195b53c2551033455f086d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shows if channel mapping feature is supported. If this is supported (true) then it is possible to associate any DMA channel with any PaRAM set, otherwise (false), the PaRAM set must be identical to DMA channel i.e DMA channels 0 to 63 correspond to PaRAM sets 0 to 63 respectively. <br /></td></tr>
<tr class="separator:a0f2ab2e474195b53c2551033455f086d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EDMA instance properties information. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>drivers/edma/<a class="el" href="edma_8h.html">edma.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
